Index: WAeUP_SRP/branches/uli/skins/waeup_epayment/approve_epayment.py
===================================================================
--- WAeUP_SRP/branches/uli/skins/waeup_epayment/approve_epayment.py	(revision 1542)
+++ WAeUP_SRP/branches/uli/skins/waeup_epayment/approve_epayment.py	(revision 1593)
@@ -1,3 +1,3 @@
-## Script (Python) "epayment_cb"
+## Script (Python) "approve_epayment"
 ##bind container=container
 ##bind context=context
@@ -10,8 +10,7 @@
 # $Id: aprove_epayment.py 1425 2007-02-15 17:52:01Z joachim $
 """
-payment callback
 """
 import logging
-logger = logging.getLogger('EPayment.Approve')
+logger = logging.getLogger('Skins.approve_epayment')
 import DateTime
 if context.portal_membership.isAnonymousUser():
@@ -42,5 +41,5 @@
 if doc.type_description.startswith('School Fee'):
     wftool.doActionFor(student,'pay_school_fee')
-logger.info('"%s", "approved epayment for","%s""' % (member,student_id))
+logger.info('%s approves epayment for %s' % (member,student_id))
 wftool.doActionFor(context,'close')
 return request.RESPONSE.redirect("%s/waeup_document_view" % context.absolute_url())
Index: WAeUP_SRP/branches/uli/skins/waeup_epayment/epayment_cb.py
===================================================================
--- WAeUP_SRP/branches/uli/skins/waeup_epayment/epayment_cb.py	(revision 1542)
+++ WAeUP_SRP/branches/uli/skins/waeup_epayment/epayment_cb.py	(revision 1593)
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('EPayment.CallBack')
+logger = logging.getLogger('Skins.epayment_cb')
 import DateTime
 if context.portal_membership.isAnonymousUser():
@@ -43,10 +43,10 @@
 if  resp == '00':
     wftool.doActionFor(student,'pay_school_fee')
-    logger.info('"%s", "received valid callback"' % student_id)
+    logger.info('%s received valid callback' % student_id)
 
 elif len(resp) < 3:
-    logger.info('"%s", "received no callback"' % student_id)
+    logger.info('%s received no callback' % student_id)
 else:
-    logger.info('"%s", "received unsuccessfull callback"' % student_id)
+    logger.info('%s received unsuccessfull callback' % student_id)
 wftool.doActionFor(context,'close')
 
Index: WAeUP_SRP/branches/uli/skins/waeup_epayment/getPaymentsFolderInfo.py
===================================================================
--- WAeUP_SRP/branches/uli/skins/waeup_epayment/getPaymentsFolderInfo.py	(revision 1542)
+++ WAeUP_SRP/branches/uli/skins/waeup_epayment/getPaymentsFolderInfo.py	(revision 1593)
@@ -1,3 +1,3 @@
-## Script (Python) "getPaymentsInfo"
+## Script (Python) "getPaymentsFolderInfo"
 ##bind container=container
 ##bind context=context
@@ -12,6 +12,7 @@
 Info for the PaymentsFolder
 """
-import logging
-logger = logging.getLogger('EPayment.Info')
+#import logging
+#logger = logging.getLogger('Skins.getPaymentsFolderInfo')
+
 import DateTime
 request = context.REQUEST
@@ -57,5 +58,5 @@
         row['confirmed'] = 'unsuccessful'
     payments.append(row)
-    
+
 
 info['payments'] = payments
Index: WAeUP_SRP/branches/uli/skins/waeup_epayment/pay_by_sc.py
===================================================================
--- WAeUP_SRP/branches/uli/skins/waeup_epayment/pay_by_sc.py	(revision 1542)
+++ WAeUP_SRP/branches/uli/skins/waeup_epayment/pay_by_sc.py	(revision 1593)
@@ -14,5 +14,5 @@
 import logging
 from urllib import urlencode
-logger = logging.getLogger('EPayment.PayBySC')
+logger = logging.getLogger('Skins.pay_by_sc')
 import DateTime
 
@@ -85,7 +85,7 @@
     wftool.doActionFor(payment,'close')
     wftool.doActionFor(student,'pay_school_fee')
-    logger.info('"%s", "paid school fee by scratch card"' % student_id)
+    logger.info('%s paid school fee by scratch card' % student_id)
 else:
-    logger.info('"%s", "repeatedly paid school fee by scratch card"' % student_id)
+    logger.info('%s repeatedly paid school fee by scratch card' % student_id)
 url = "%s/payments" % (student.absolute_url())
 request.RESPONSE.redirect(url)
Index: WAeUP_SRP/branches/uli/skins/waeup_epayment/pay_online.py
===================================================================
--- WAeUP_SRP/branches/uli/skins/waeup_epayment/pay_online.py	(revision 1542)
+++ WAeUP_SRP/branches/uli/skins/waeup_epayment/pay_online.py	(revision 1593)
@@ -14,5 +14,5 @@
 from urllib import urlencode
 import logging
-logger = logging.getLogger('EPayment.PayOnline')
+logger = logging.getLogger('Skins.pay_online')
 import DateTime
 
@@ -91,5 +91,5 @@
 info['callback_url'] = "%s/payments/%s/epayment_cb" % (student.absolute_url(),p_id)
 
-logger.info('"%(student_id)s","%(type_description)s", "%(amount)s N"' % info)
+logger.info('%(student_id)s initiated online school fee payment' % info)
 payment_fields = (('x_SiteID','site_id'),
                   ('x_Redirect_url','callback_url'),
Index: WAeUP_SRP/branches/uli/skins/waeup_epayment/simulate_callback.py
===================================================================
--- WAeUP_SRP/branches/uli/skins/waeup_epayment/simulate_callback.py	(revision 1542)
+++ WAeUP_SRP/branches/uli/skins/waeup_epayment/simulate_callback.py	(revision 1593)
@@ -5,9 +5,11 @@
 return html renderer + psm
 """
-import DateTime,logging
+import DateTime
 current = DateTime.DateTime()
 pr = context.portal_registration
-logger = logging.getLogger('EPayment.Simulate')
 validate = REQUEST.has_key("cpsdocument_edit_button")
+
+import logging
+logger = logging.getLogger('Skins.simulate_callback')
 
 args = {}
@@ -18,4 +20,8 @@
 args['x_ApprAmt'] = REQUEST.get('x_amt')
 
+
+student_id = context.getStudentId()
+logger.info('%s received simulated callback' % student_id)
+
 from urllib import urlencode
 #url = "%s/epayment_cb/?%s" % (context.absolute_url(),urlencode(args))
